<?php
/**
 * Integer functions and definitions.
 *
 * @package Integer Child
 */

/**
 * The current version of the theme.
 */
define( 'INTEGER_CHILD_VERSION', '1.0.0' );

/**
 * Enqueue scripts and styles.
 */
function integer_child_scripts() {
	/*
	 * Parent Theme Styles.
	 *
	 * Comment out or remove completely if you don't need parent theme styles
	 * and want to create your own custom CSS from scratch.
	 */
	wp_enqueue_style(
		'integer-style',
		get_template_directory_uri() . '/style.css',
		array(),
		INTEGER_CHILD_VERSION
	);

	/**
	 * Child Theme Styles.
	 */
	wp_enqueue_style(
		'integer-child-style',
		get_stylesheet_uri(),
		array(),
		INTEGER_CHILD_VERSION
	);

	/**
	 * Child Theme JavaScript.
	 */
	wp_enqueue_script(
		'integer_child_scripts',
		get_stylesheet_directory_uri() . '/assets/js/project.js',
		array(),
		INTEGER_CHILD_VERSION
	);
}
add_action( 'wp_enqueue_scripts', 'integer_child_scripts' );
